Summary:	Library for PNG, JPEG creation
Name:		gd
Version:	2.0.33
Release:	1
License:	BSD-style
Group:		Libraries
Source0:	http://www.boutell.com/gd/http/%{name}-%{version}.tar.gz
URL:		http://www.boutell.com/gd/
BuildRequires:	autoconf-devel automake-devel libtool zlib-devel libpng-devel libjpeg-devel
BuildRequires:	freetype1-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define shlibver %(echo %{version} | cut -f-2 -d.)

%description
gd library creates PNG, JPEG and WBMP images, not GIF images. This is
a good thing. PNG is a more compact format, and full compression is
available. JPEG works well with photographic images, and is still more
compatible with the major Web browsers than even PNG is. WBMP is
intended for wireless devices (not regular web browsers). Existing
code will need modification to call or gdImageJpeg instead of
gdImageGif. Note: (If you want GIF support get gd-1.8.4 with patches).

This library allows you to easily create and manipulate PNG, JPEG
image files from your C programs.

%package 	devel
Summary:	Development part of the GD library
Group:		Development

%description 	devel
This package contains the files needed for development of programs
linked against GD.

%prep
%setup -q 

%build
%configure \
    --enable-jpeg \
    --enable-freetype \
    --enable-xpm \
    --disable-nls \
    --without-gettext
make

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_libdir}/*.so.*
%{_libdir}/*.so
%{_libdir}/*.la
%{_bindir}/*

%files devel
%defattr(-,root,root)
%{_libdir}/*.a
%{_includedir}/*
